## shr-specs 0.1+git20100511

=== Makefile ===
SUBDIRS := org.shr.phoneui org.shr.phonefso

.PHONY: all clean check docs xml

all:
	        @for i in $(SUBDIRS); do (cd $$i && $(MAKE) all docs xml) || exit 1 ; done

clean:
	        @for i in $(SUBDIRS); do (cd $$i && $(MAKE) clean) || exit 1 ; done

check:
	        @for i in $(SUBDIRS); do (cd $$i && $(MAKE) check) || exit 1 ; done

docs:
	        @for i in $(SUBDIRS); do (cd $$i && $(MAKE) docs) || exit 1 ; done

xml:
	        @for i in $(SUBDIRS); do (cd $$i && $(MAKE) xml) || exit 1 ; done

=== org.shr.phonefso/Makefile ===

files = \
	org.shr.phonefso.Usage.xml

include ../tools/rules.mk

## shr-specs 0.1+git20100719

=== debian/changelog ===
shr-specs (0.1+git20100719-1) unstable; urgency=low

  * New git checkout
   + remove obsolete Resource interface
  * Add VCS entries 
  * Switch to DebSrc 3.0
  * Update Debian Standards Version to 3.9.1

 -- Sebastian Reichel <elektranox@gmail.com>  Mon, 09 Aug 2010 00:50:05 +0200

shr-specs (0.1+git20100511-1) unstable; urgency=low

  * Initial release (Closes: #584553)

 -- Sebastian Reichel <elektranox@gmail.com>  Thu, 03 Jun 2010 17:58:41 +0200

=== debian/control ===
Source: shr-specs
Section: doc
Priority: extra
Maintainer: Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders: Sebastian Reichel <elektranox@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
               cdbs,
               python,
               xsltproc,
               docbook-xsl
Standards-Version: 3.9.1
Homepage: http://www.shr-project.org
Vcs-git: git://git.debian.org/pkg-fso/shr-specs.git
Vcs-browser: http://git.debian.org/?p=pkg-fso/shr-specs.git

Package: shr-specs
Architecture: all
Depends: ${misc:Depends}
Suggests: fso-specs
Description: SHR DBus XML specification & documentation
 The Desktop-Bus prepares applications to communicate with another by the
 sending of predefined signals. The process is agnostic about programming
 languages, but the collaborating tools need to agree on a common set of
 signals and their interpretation.
 .
 This package provides the DBus specifications of the SHR software stack,
 which sits on top of the freesmartphone.org software stack.
 .
 Process these with a dbus binding generator to create stubs for your program.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

# build to tmp location even if it's a single package
DEB_DESTDIR = $(CURDIR)/debian/tmp

## shr-specs 2011.03.08.2

=== org.shr.phoneui/Makefile ===

files = \
	org.shr.phoneui.Dialer.xml \
	org.shr.phoneui.Contacts.xml \
	org.shr.phoneui.CallManagement.xml \
	org.shr.phoneui.Notification.xml \
	org.shr.phoneui.Messages.xml \
	org.shr.phoneui.PhoneLog.xml \
	org.shr.phoneui.IdleScreen.xml \
	org.shr.phoneui.Settings.xml

include ../tools/rules.mk

=== debian/changelog ===
shr-specs (2011.03.08.2-2) unstable; urgency=low

  * Switch to Debian copyright format 1.0
  * Update Debian Standards Version to 3.9.8
  * Make shr-specs Multi-Arch: foreign
  * Remove deprecated DM-Upload-Allowed
  * Switch to compat level 10
  * Use canonical VCS urls

 -- Sebastian Reichel <sre@debian.org>  Mon, 26 Sep 2016 15:23:00 +0200

shr-specs (2011.03.08.2-1) unstable; urgency=low

  * New git checkout.
  * Update my mail address
  * Update Debian Standards Version
  * Add watchfile with comment
  * Use compat level 8
  * Switch from cdbs to debhelper
  * Update debian/copyright and use DEP5 format

 -- Sebastian Reichel <sre@debian.org>  Sat, 03 Sep 2011 19:34:09 +0200

=== debian/control ===
Source: shr-specs
Section: doc
Priority: extra
Maintainer: Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>
Uploaders: Sebastian Reichel <sre@debian.org>
Build-Depends: debhelper (>= 10~),
               docbook-xsl,
               python,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.shr-project.org
Vcs-git: https://anonscm.debian.org/cgit/pkg-fso/shr-specs.git
Vcs-browser: https://anonscm.debian.org/cgit/pkg-fso/shr-specs.git

Package: shr-specs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: fso-specs
Description: SHR DBus XML specification & documentation
 The Desktop-Bus prepares applications to communicate with another by the
 sending of predefined signals. The process is agnostic about programming
 languages, but the collaborating tools need to agree on a common set of
 signals and their interpretation.
 .
 This package provides the DBus specifications of the SHR software stack,
 which sits on top of the freesmartphone.org software stack.
 .
 Process these with a DBus binding generator to create stubs for your program.
